WSFONTLOAD(8)

NAME
wsfontload - load a font bitmap into a wscons display device

SYNOPSIS
[-f ctldev] [-w width] [-h height] [-e encoding] [-N name] [fontfile]

DESCRIPTION
The wsfontload utility loads a font bitmap to a wscons device if the device driver supports this. The font gets assigned a name in this process which it can be referred to by later for use on a display screen. The font is loaded from the specified fontfile, or from stdin if fontfile is not provided.

The options are:

-f ctldev
    Specify the control device of the wscons display to operate on. Default is /dev/ttyEcfg.

-w width
    Sets the width of a font character in pixels. Default is 8.

-h height
    Sets the width of a font character in pixels. Default is 16.

-e encoding
    Sets the encoding of the font. This can be either a symbolic abbreviation or a numeric value. Currently recognized abbreviations are “iso” for ISO-8859-1 encoding, “ibm” for IBM encoded fonts and “pcvt” for the custom encoding of the supplemental fonts which came with the BSD “pcvt” console driver. Per default, “iso” is assumed.

-N name
    Specifies a name which can be used later to refer to the font. In none is given, the fontfile name is used to create one.

Typically, the wsfontload utility will be executed in system startup by the /etc/rc.wscons script, controlled by the /etc/wscons.conf configuration file.

No font files are provided with the wscons framework. The fonts installed by pcvt(4) can be used instead, as can raw font files from other operating system distributions.

FILES
/etc/wscons.conf

EXAMPLES
    wsfontload -N myname -h 8 -e ibm /usr/share/pcvt/fonts/vt220l.808

Load the IBM-encoded 8x8-font from the pcvt(4) distribution. This (or another 8x8-font) is necessary to use the 50-line screen type on vga(4) displays.

BUGS
Many features are missing.

There is no way ro remove a loaded font.

SEE ALSO
wscons(4), wsconscfg(8), wsconsctl(8)